List Task Agents
List all Task Agents configured for the project.
Returns a paginated list of Task Agents with their root metadata and embedded
revision history. Runtime configuration such as instructions, models, and tools
is stored on each revision.
Authentication
AuthorizationBearer
Bearer token authentication using JWT tokens from Ory Kratos/Hydra
Path parameters
org_id
The unique identifier of the organization.
project_id
The unique identifier of the project.
Query parameters
cursor
Pagination cursor
page_limit
Max results per page
Response
Successfully retrieved Task Agents
results
The list of items returned for the current page.
pagination
Contains pagination information for the result set.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
